Subject: Re: bug#57563: 28.1; macOS - layout warning at startup

From: Robert Pluim <[email-masked]>
Date: Thu, 08 Sep 2022 15:55:43 +0200

>>>>> On Thu, 08 Sep 2022 21:35:11 +0800, Po Lu <[email-masked]> said:

    Po Lu> Bob Kline <[email-masked]> writes:
    >> No version built with the tool we've been using displays the unwanted
    >> warning (including emacs 28). On the other hand, "brew install
    >> homebrew/cask-versions/emacs-nightly" gives me emacs-29.0.50 WITH the
    >> warning. I did a little digging to try and find out which options were
    >> used for building emacs, but didn't have any luck. I suppose I could
    >> file a bug with the Homebrew folks. Anyone have any experience with
    >> that? Is the Homebrew team as responsive as this one? 😉

    Po Lu> Maybe it could be related to the version of Mac OS that the Emacs binary
    Po Lu> was built on?

    Po Lu> There are two knobs, MAC_OS_X_VERSION_MAX_ALLOWED and
    Po Lu> MAC_OS_X_VERSION_MIN_REQUIRED, that change Emacs and operating system
    Po Lu> behavior.  But I can never remember what they mean.  What if you build
    Po Lu> Emacs with them defined to the same values that the Homebrew package was
    Po Lu> built with?

emacssformacosx.com says they build on both macOS 10.10 and 10.14 and
then bundle those two version together. I canʼt find the actual
scripts used to produce the builds.
    
    Po Lu> I don't think you can obtain their values from binaries, so you will
    Po Lu> probably have to ask the person who built the Homebrew package.

Yes

Robert
--